# Generated by Django 4.2.13 on 2024-06-02 16:17

from django.db import migrations, models

import catalog.common.utils


class Migration(migrations.Migration):
    dependencies = [
        ("catalog", "0011_alter_externalresource_id_type_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="externalresource",
            name="id_type",
            field=models.CharField(
                choices=[
                    ("wikidata", "WikiData"),
                    ("isbn10", "ISBN10"),
                    ("isbn", "ISBN"),
                    ("asin", "ASIN"),
                    ("issn", "ISSN"),
                    ("cubn", "CUBN"),
                    ("isrc", "ISRC"),
                    ("gtin", "GTIN UPC EAN"),
                    ("rss", "RSS Feed URL"),
                    ("imdb", "IMDb"),
                    ("tmdb_tv", "TMDB TV Serie"),
                    ("tmdb_tvseason", "TMDB TV Season"),
                    ("tmdb_tvepisode", "TMDB TV Episode"),
                    ("tmdb_movie", "TMDB Movie"),
                    ("goodreads", "Goodreads"),
                    ("goodreads_work", "Goodreads Work"),
                    ("googlebooks", "Google Books"),
                    ("doubanbook", "Douban Book"),
                    ("doubanbook_work", "Douban Book Work"),
                    ("doubanmovie", "Douban Movie"),
                    ("doubanmusic", "Douban Music"),
                    ("doubangame", "Douban Game"),
                    ("doubandrama", "Douban Drama"),
                    ("doubandrama_version", "Douban Drama Version"),
                    ("bookstw", "BooksTW Book"),
                    ("bandcamp", "Bandcamp"),
                    ("spotify_album", "Spotify Album"),
                    ("spotify_show", "Spotify Podcast"),
                    ("discogs_release", "Discogs Release"),
                    ("discogs_master", "Discogs Master"),
                    ("musicbrainz", "MusicBrainz ID"),
                    ("igdb", "IGDB Game"),
                    ("bgg", "BGG Boardgame"),
                    ("steam", "Steam Game"),
                    ("bangumi", "Bangumi"),
                    ("apple_podcast", "Apple Podcast"),
                    ("apple_music", "Apple Music"),
                    ("fedi", "Fediverse"),
                    ("qidian", "Qidian"),
                    ("ypshuo", "Ypshuo"),
                ],
                max_length=50,
                verbose_name="IdType of the source site",
            ),
        ),
        migrations.AlterField(
            model_name="itemlookupid",
            name="id_type",
            field=models.CharField(
                blank=True,
                choices=[
                    ("wikidata", "WikiData"),
                    ("isbn10", "ISBN10"),
                    ("isbn", "ISBN"),
                    ("asin", "ASIN"),
                    ("issn", "ISSN"),
                    ("cubn", "CUBN"),
                    ("isrc", "ISRC"),
                    ("gtin", "GTIN UPC EAN"),
                    ("rss", "RSS Feed URL"),
                    ("imdb", "IMDb"),
                    ("tmdb_tv", "TMDB TV Serie"),
                    ("tmdb_tvseason", "TMDB TV Season"),
                    ("tmdb_tvepisode", "TMDB TV Episode"),
                    ("tmdb_movie", "TMDB Movie"),
                    ("goodreads", "Goodreads"),
                    ("goodreads_work", "Goodreads Work"),
                    ("googlebooks", "Google Books"),
                    ("doubanbook", "Douban Book"),
                    ("doubanbook_work", "Douban Book Work"),
                    ("doubanmovie", "Douban Movie"),
                    ("doubanmusic", "Douban Music"),
                    ("doubangame", "Douban Game"),
                    ("doubandrama", "Douban Drama"),
                    ("doubandrama_version", "Douban Drama Version"),
                    ("bookstw", "BooksTW Book"),
                    ("bandcamp", "Bandcamp"),
                    ("spotify_album", "Spotify Album"),
                    ("spotify_show", "Spotify Podcast"),
                    ("discogs_release", "Discogs Release"),
                    ("discogs_master", "Discogs Master"),
                    ("musicbrainz", "MusicBrainz ID"),
                    ("igdb", "IGDB Game"),
                    ("bgg", "BGG Boardgame"),
                    ("steam", "Steam Game"),
                    ("bangumi", "Bangumi"),
                    ("apple_podcast", "Apple Podcast"),
                    ("apple_music", "Apple Music"),
                    ("fedi", "Fediverse"),
                    ("qidian", "Qidian"),
                    ("ypshuo", "Ypshuo"),
                ],
                max_length=50,
                verbose_name="source site",
            ),
        ),
        migrations.AlterField(
            model_name="item",
            name="brief",
            field=models.TextField(blank=True, default="", verbose_name="description"),
        ),
        migrations.AlterField(
            model_name="item",
            name="cover",
            field=models.ImageField(
                blank=True,
                default="item/default.svg",
                upload_to=catalog.common.utils.item_cover_path,
                verbose_name="cover",
            ),
        ),
        migrations.AlterField(
            model_name="item",
            name="metadata",
            field=models.JSONField(
                blank=True, default=dict, null=True, verbose_name="metadata"
            ),
        ),
        migrations.AlterField(
            model_name="item",
            name="primary_lookup_id_type",
            field=models.CharField(
                max_length=50, null=True, verbose_name="Primary ID Type"
            ),
        ),
        migrations.AlterField(
            model_name="item",
            name="primary_lookup_id_value",
            field=models.CharField(
                help_text="automatically detected, usually no change necessary, left empty if unsure",
                max_length=1000,
                null=True,
                verbose_name="Primary ID Value",
            ),
        ),
        migrations.AlterField(
            model_name="item",
            name="title",
            field=models.CharField(default="", max_length=1000, verbose_name="title"),
        ),
        migrations.AlterField(
            model_name="itemlookupid",
            name="id_value",
            field=models.CharField(
                blank=True, max_length=1000, verbose_name="ID on source site"
            ),
        ),
        migrations.AlterField(
            model_name="itemlookupid",
            name="raw_url",
            field=models.CharField(
                blank=True, max_length=1000, unique=True, verbose_name="source url"
            ),
        ),
        migrations.AlterField(
            model_name="podcastepisode",
            name="pub_date",
            field=models.DateTimeField(
                help_text="yyyy/mm/dd hh:mm", verbose_name="date of publication"
            ),
        ),
        migrations.AlterField(
            model_name="tvseason",
            name="episode_count",
            field=models.PositiveIntegerField(
                null=True, verbose_name="number of episodes"
            ),
        ),
        migrations.AlterField(
            model_name="tvseason",
            name="season_number",
            field=models.PositiveIntegerField(null=True, verbose_name="season number"),
        ),
        migrations.AlterField(
            model_name="tvshow",
            name="episode_count",
            field=models.PositiveIntegerField(
                blank=True, null=True, verbose_name="number of episodes"
            ),
        ),
        migrations.AlterField(
            model_name="tvshow",
            name="season_count",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="number of seasons"
            ),
        ),
    ]
